This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 97662 - configure warning message in beecrypt
configure warning message in beecrypt
Status: CLOSED UPSTREAM
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
8.0
parisc11 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-18 17:57 EDT by Dano Carroll
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-25 11:34:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dano Carroll 2003-06-18 17:57:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
During configure of rpm, the configure run in beecrypt reports:

WARNING: please add appropriate -I/opt/java1.4/<operating system> flag

In configure, there is a case statement that doesn't have an entry for hpux*.
The attached patch adds the hpux* to configure.


Version-Release number of selected component (if applicable):
4.1

How reproducible:
Always

Steps to Reproduce:
1. Extract files from rpm-4.1.tar.gz
2. Run ./configure --prefix=/usr/local --without-python
(I don't think the options matter)
 
    

Actual Results:  I got the warning message described above

Additional info:

patch to fix:

--- rpm-4.1/beecrypt/configure.orig     2003-06-15 13:18:24.000000000 -0500
+++ rpm-4.1/beecrypt/configure  2003-06-15 13:18:59.000000000 -0500
@@ -15408,6 +15408,9 @@
   solaris*)
     CFLAGS="$CFLAGS -I$ac_cv_java_include"/solaris
     ;;
+  hpux*)
+    CFLAGS="$CFLAGS -I$ac_cv_java_include"/hp-ux
+    ;;
   *)
     { echo "$as_me:$LINENO: WARNING: please add appropriate
-I$ac_cv_java_include/<operating system> flag" >&5
 echo "$as_me: WARNING: please add appropriate -I$ac_cv_java_include/<operating
system> flag" >&2;}
Comment 1 Jeff Johnson 2003-06-25 11:34:11 EDT
Hmmm ...

Patch sent upstream, may be in beecrypt-3.0.1 soonish.

Note You need to log in before you can comment on or make changes to this bug.